package com.bonus.zlpt.company.mapper;

import com.bonus.zlpt.company.api.domain.BmCompanyInfo;
import com.bonus.zlpt.company.api.domain.dto.BmCompanyDto;
import com.bonus.zlpt.system.api.domain.SysUser;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* Description:
* @Author 阮世耀
* @Create 2023/12/1 19:40
* @Version 1.0
*/

@Mapper
public interface BmCompanyInfoDao {
    int deleteByPrimaryKey(Integer companyId);

    int insert(BmCompanyInfo record);

    int insertSelective(BmCompanyInfo record);

    BmCompanyInfo selectByPrimaryKey(Integer companyId);

    List<BmCompanyInfo> selectCompanyList(BmCompanyInfo record);

    int updateByPrimaryKeySelective(BmCompanyInfo record);

    int updateByPrimaryKey(BmCompanyInfo record);

    /**
     * 根据企业类型名称查询是否有数据
     * @param companyName
     * @return
     */
    Integer selectCountByCompanyType(String companyName);

    List<BmCompanyInfo> selectList(BmCompanyDto bmCompanyDto);

    SysUser selectUserByPhoneNumber(String phoneNumber);

    List<BmCompanyInfo> selectCompanyInfo(BmCompanyDto bmCompanyDto);
}